{% load static %}
<html>
<head>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<style type="text/css">
		body {
                background-image: url('{% static 'img/library.jpg' %}');
                background-color: black;
            }
		table, th, td { border: 1px solid black; }

		h1 {
			color : white;
		}

	</style>
	<title>Cari Buku</title>
</head>

<body>

<nav class="navbar navbar-light bg-light">
  <form class="form-inline">
    <input id="keyword" class="form-control mr-sm-2" type="text" placeholder="Cari Buku">
  </form>
  {% if user.is_authenticated %}
	<div class="navbar-nav ml-auto">
   	<a href="#" class="nav-item nav-link">Halo {{ request.user.username }}</a>
  	<a href="{% url 'Story8:logout' %}" class="nav-item nav-link">Logout</a>
  </div>
  {% else %}
  <div class="navbar-nav ml-auto">
   	<a href="{% url 'Story8:register' %}" class="nav-item nav-link">Register</a>
  	<a href="{% url 'Story8:login' %}" class="nav-item nav-link">Login</a>
  </div>
  {% endif %}

</nav>

<br> 

<div class="container">
	<table class="table" id="list-buku">
	</table>
</div>

</body>


<script type="text/javascript">
	$("#keyword").keyup( function(item){
		var masukan = $("#keyword").val();
		console.log(masukan);
		$.ajax({
			url: '/story8/data?q=' + masukan, 
			success: function(data) {
				var judul = '<thead class="thead-dark"><tr><th>Judul</th><th>Penulis</th><th>Deskripsi</th><th>Sampul Buku</th></tr></thead>'
				var array_items = data.items;
				console.log(array_items);
				$("#list-buku").empty();
				$("#list-buku").append(judul);
				for (i = 0; i < array_items.length; i++) {
					var title = array_items[i].volumeInfo.title;
					var author = array_items[i].volumeInfo.authors;
					var desc = array_items[i].volumeInfo.description;
					var pict = array_items[i].volumeInfo.imageLinks.smallThumbnail;
					$("#list-buku").append("{% if user.is_authenticated %} <tr class='table-light'><td>" + title + "</td><td>" + author + "</td><td>" + desc + "</td><td><img src=" + pict + "></td></tr> {% else %} <tr class='table-light'><td>" + title + "</td><td>" + author + "</td><td> Please login to see </td><td>Please login to see</td></tr> {% endif %} ")
				}
			}
		});
	});
</script>

</html>